Subject: The Homestead.org Online Homesteading Resource

From: "Lawrence F. London, Jr." <[email-masked]>
Date: Thu, 10 Jul 1997 23:26:16 -0400

http://www.homestead.org/index.htm

-- 
Lawrence F. London, Jr.
mailto:[email-masked]  
http://sunSITE.unc.edu/InterGarden
THE ONLINE MAGAZINE IS SLOWLY COMING ALONG...WE ARE SIMPLY WAITING ON EVEN MORE ARTICLE SUBMISSIONS FROM OUR DEAR READERS...(HINT, HINT) FOR NOW, PLEASE VIEW OUR EXTENSIVE RESOURCE DIRECTORIES:

GENERAL HOMESTEADING

AGRICULTURE

THE BOOKSTORE

BUILDING AND CONSTRUCTION

CLASSIFIED ADVERTISEMENTS

CRAFTS, SKILLS AND HOBBIES

ENERGY

FINANCE AND BUSINESS

FOOD AND COOKING

HOME AND FAMILY

"HOW-TOS" AND OTHER ARTICLES

KOUNTRY KIDS KORNER

LAND AND REAL ESTATE

MISCELLANEOUS RESOURCES

NATURAL HEALTH AND FITNESS

PERSONAL ADVERTISMENTS

PETS AND LIVESTOCK

POEMS

STORIES AND OPINIONS

TRANSPORTATION

WILD RESOURCES AND SURVIVAL

Welcome To

The Online Homesteading and Small Farming Resource!

Homestead.org was viewed by over 7,500 folks last month!

Last Updated: June 25, 1997 (Still updating!)

"...So goodbye yellow brick road,
Where the dogs of society howl...
You can't plant me in your penthouse;
I'm going back to my plough.

Back to the howling old owl in the woods,
Hunting the horny back toad;
Oh I've finally decided my future lies
Beyond the yellow brick road..."
-- Elton John, chorus from "Goodbye Yellow Brick Road"

The Homestead.org News Bulletin!

**** Help us identify this plant! ****

FOR THOSE OF YOU WHO ARE VISITING THIS SITE FOR THE FIRST TIME...

Have you ever dreamed of moving to the country, building a log cabin back in the woods, growing an organic garden, perhaps raising livestock, simplifying your life, and spending more quality time with your family? If any of the above applies to you, then you are a homesteader at heart, and you can't afford to be without the information you need to help make your dream come true! The Homestead.org On-line Homesteading and Small Farming Resource endeavors to provide you with that information. Homestead.org, which is usually updated several times each month, contains an entire resource directory of information on homesteading, self-sufficiency, small farming, agriculture, horticulture, permaculture, organic gardening, animal husbandry (of pets and livestock) wildlife managenent, ecology and conservation (stewardship), alternative building and construction, practical crafts, skills and hobbies, renewable energy, home finance and business, food preparation, cooking and preserving, traditional home and family living, land and real estate acquisition, natural health and fitness, alternative transportation methods, wild resources and survival, and many other topics related to living a more natural, sustainable, and wholesome life...In other words, a lot of stuff! (A tiny bit of which is still unsorted.)
Various resource pointers are used for the site, including links to other sites on the Internet, mailing addresses and telephone numbers. Homestead.org also contains information in the form of a developing on-line "magazine", with articles, pictures, hints and tips, whereas maps and chat areas will be included eventually. It will be like a magazine and yellow pages directory rolled into one, and it will hopefully be a general meeting place for rural folk on the Internet, where they can help each other with problems, tell each other about their experiences, or just talk. Located in Ft. Worth, Texas (near Dallas), the Homestead.org site officially went on-line in the summer of 1995 and has the largest and most comprehensive resource directory pertainng to homesteading that we've found on the Internet. (We challenge our readers to disprove this; if there's a bigger directory, we want to know about it!). We do acknowledge that there are too few articles and pictures, but it's up to you dear readers, to send them in! To view the most recently updated information, check out the "What's New" page. To learn more about homesteading in general, please read the "Homesteading FAQ".
PLEASE READ!: (1.) The Homestead Act of 1862 is NO longer valid, having been repealed in the 1970's; I believe homesteading in that manner is no longer possible in the US or Alaska. (Says Steve Waltz, an AK resident: "...There are some state land programs in AK, but they are not 'give-aways'. Most of the land that is worth anything is either too remote or there is a lot of competition in acquiring it." Likewise states Gene GeRue, author of Ruralize Your Dreams: "You are correct that the Homestead Act of 1862 has been abolished. No state, including Alaska, currently has a homestead act.") The term "homesteading" on this site has a different, more modern definition (please read the FAQ for this definition)...
And (2.) the Homestead.org site concerns homesteading in the agricultural/animal husbandry sense of the word, and NOT about getting a "Homestead (tax) Exemption" on your home, which has nothing to do with real homesteading. Getting a "Homestead Exemption" on your home means that your house cannot be seized by creditors for back taxes owed. And this applies to the structure itself ONLY. (I don't believe it applies to land as well, but someone please correct me if I'm wrong here.) Thus creditors can take everything else you own...furniture, valuables, even the clothes off your back...but NOT your house. For information on getting a "homestead" exemption on your home, contact your State's taxing authority...(I don't personally have any other information than this to give you, but Gene GeRue elaborates a bit further: "Many states have Homestead Exemption laws to protect homeowners from losing their property to unsecured creditors. Essentially, the laws do not allow creditor judgements to force a home sale to satisfy the judgements. The important note here is that such laws do NOT apply to notes and mortgages secured by the property. Default on loans secured by a deed of trust can and usually will cause the property to be sold by the trustee to satisfy the demand of the creditor in case of default. Another confusion occurs because some states have allowed a Homestead Exemption, which decreases property taxes slightly.") Since more people ask about these two topics more than any other, we've decided to make this clear to everyone by mentioning them here rather than include any more e-mails we've received about them on our "Letters to the Editors" Page.

AND FOR THOSE OF YOU WHO VISIT US OFTEN...

Hello again, folks! So sorry that the page was down for a couple of days; hope we didn't inconvenience any of you! We're glad for the feedback we constantly receive from you all...We're also glad to hear that we've been of some help--or at least an inspiration--to so many of you! We are not able to homestead on any acreage at the present time, although we wish to do so asap--please read about our "vision"! However, we are still homesteaders at heart (and are making the best out of what little front yard we do have)...And even if we cannot fulfill our hearts' desire just yet, at least we have the privelege of helping others get one step closer to fulfilling theirs'!
Important Notes: In case you didn't notice, the "Animals and Livestock" Page has not gone away, but has simply been renamed as "Pets and Livestock". Also, we have added a new Bookstore Page; and best of all, we've added a new article about homesteading in fertile, uncrowded Bolivia for as low as $50 an acre! I'm mentioning this here because this opportunity is available to folks for a limited time only, so if this interests you, then please act now! Also, an important update on Gentle Spirit Magazine: For those of you who were avid readers, but were understandably upset (or so you told us) about not recieving the back issues that you ordered and paid for, and also about not getting any replies to your prior--and recent--e-mails, here is an apologetic note to all of you from Cheryl herself, who is now trying to fulfill all those backorders:
Dear Friends--
My, your website is lovely! What beautiful work.
I am writing for help and to share some information. We were flooded out of our rental home a couple of months ago. We were living just on the border between MN and WI. It was pretty awful-- we had only a few hours to load all our possessions and our seven kids up and move in with a friend who has a small house and a large heart. We put everything in storage then but clothes, etc. We have had only very limited access to AOL since our move. I finally was able to sign on a few days ago and found I had a lot of mail, most of it from folks who read your web page. I had to sign off quickly and could not save anything. Got back on today, and AOL had already cleaned my mailbox! Sigh. There were several letters from people who had been waiting quite some time for various things and I really wanted to write to them, but now I do not have their e-mail addresses. If it is at all possible, it would be great if you could let people know that I can no longer access their most recent mail? Maybe they could resend it? But if this is a hassle, that's okay.
I am in the process of sending out many back issues of the magazine which I have finally been able to retrieve from storage. On top of everything, the transmission of our van went out, so I couldn't haul the magazines to the home where we are staying until recently. However, I *do* want to send out as many issues as I can from here to avoid lugging all the boxes of magazines back to WA. We leave for home next Monday.
Sorry to trouble you with all of this and thank you so much for your time. It is much appreciated. I especially thank you for your comments about Gentle Spirit and for sending past subscribers our way. This has been very helpful to us. We still hope to get new magazine issues on the web page, but of course, until we're home, we won't be able to do that. In the meantime, I'm hoping we can at least attend to the letters which we have received since your kind mention of us!
Thank you for your kindness--
Peace in Christ--
Cheryl Seelhoff
[email-masked]
(BTW, for those of you "Christians" who have no forgiveness or fondness in your hearts for Cheryl (as if you yourselves are all "perfect and sinless") we don't want to keep hearing about it! The above post from her will remain right where it is until we say otherwise! So there!)
NOTICE! As of Feb. 1st, Classified Ads returned to costing $10 per month. Ads will be charged for monthly, and any ads which go unpaid will be dropped; but anyone who pays 3 months in advance will receive a 5% discount; 6 months in advance, a 10% discount; or a year in advance, a 15% discount. Any ad that gets dropped will be reinstated--at the next update--upon our reception of payment. (So please, folks, don't send in any more unpaid ads and expect us to post them as Classifieds...Either pay for them or simply resubmit them as basic name/address/URL entries, and then we can place them in the directory at NO charge. However, this will only work for companies selling products or organizations providing services...NOT individuals listing want ads.)
Many of you have asked our permission to trade links with us, but please know that there is NO need to ask; if you truly feel your link in any way relates to our site, we will add it if you simply provide us the URL. We do try to check as many links as we can, but we have so many now that we no longer have time to check them all, even to see which ones are still active. Therefore, we ask for our viewers to continue to update us on any site (or address) that has changed, or if, in their opinion, is not relative to our site in any way. Thank you, those of you who have been keeping us updated...we VERY MUCH appreciate it!
We're now having to regularly condense the "Letters to the Editors" Page, due to its size, and thus we've deleted many old entries that consisted of simple, one-sentence requests--such as simple link or entry updates--in order to leave space for the longer letters and homesteading-related questions. Therefore, you may not see the entry or link you e-mailed us on the "Letters" Page; but that does not mean that it has not been updated...Please check and see first before you e-mail us the info again.
Many of you have informed us that you would be sending us articles, drawings and photographs to post and display on the site, but so far we've received nothing...Please, folks, without your contributions, Homestead.org will never become the full-fledged online magazine and resource directory it was meant to be, which in turn means that Homestead.org will be limited in the amount of help and information it can pass on you, its readers! So help us to help others by contributing your articles of homesteading wisdom and expertise! Send your poems, drawings or articles--how-tos, stories, anecdotes, hints, tips, recipies, craft projects, whatever--on any homesteading-related subject you please...Just e-mail them to us as plain text files, and we'll handle the rest; or, if you only have them in paper form, then simply mail us copies. (As for the photos, please send ones that will apply to the various categories listed to the left, but be creative! We are especailly in need of photos pertaining to homesteading-realated health, finance, transportation, land, and families, in that order.)

IF YOU HAVE SENT US ANY E-MAIL, PLEASE READ THE FOLLOWING!:

Please DO continue to submit any suggestions, comments, or questions that you may have, and we wish to thank all of you so far who have submitted...please keep them coming! We have dutifully tried to implement all of the corrections and suggestions we've received so far--please check and see, those of you who've sent them--but if somehow we've forgotten one, then please remind us of it! Most of your suggestions, comments, and questions have been posted on the "Letters to the Editors" Page...If your suggestion/comment/question is NOT of a private nature, then we will automatically post it. Likewise, if your e-mail is not private and does require our response, it will be placed on that page, so be sure to look for it there! And be sure to read all those letters before posting any question you may have, because you may find the answer you need already listed there. Also, if you know the answer to someone else's question, please e-mail it to them. (Is anyone REALLY reading them? There always seems to be an echo in there...and dust and cobwebs too! :) ) THIS IS A GREAT WAY TO START NEW FRIENDSHIPS AND FIND NEW PEN PALS, FOLKS!!! Also, feel free to chat via E-mail with us and the homesteaders on Andrew Evan's Homestead Mailing List, and also on the Homestead-Work List. (Neither of these mailing lists are hosted by Homestead.org.)
We hope that businesses will consider being regular advertisers or sponsors, with their very own "glossy" web pages on this site...See advertisement info on this. (You may have noticed via the icon at the top of this page that we have our first advertiser.) If anyone is interested, then please e-mail us. If, while scanning over any of these pages, you notice an entry which reads "address requested", and you DO happen to know the address, then please tell us; this also goes for Internet sites and Usenet newsgroups, if you know of any we do not have listed that would be relevant here. Some pages may not have any entries, but they will eventually, so please be patient...I have indicated in parentheses which pages do have contents; however, feel free to link to any page in case I forget to mention the ones to which I have added new information.
(Note: many categories have entries that are not particularly related to homesteading, but are related--at least vaguely--to the categories themselves; perhaps you may find them useful none the less. The newsgroups are a good example of this. I figured it would be better to provide you with more resources than you need, rather than limit you. If you agree with this or feel that I've simply "gone overboard", then please tell us either way.) Also, if you spot a on any given page, know that it is to indicate our favorite entries on that page. (This is not to imply that all the other entries are bad; but rather, that we simply may not have reviewed them.)
Thank You For Visiting and May God Bless You!
Xenia and Basil Arrick

AUTHORS:
BASIL (DARIN) ARRICK, [email-masked]
XENIA (TIFFANY) ARRICK, [email-masked]
WHERE CREDIT IS DUE...

(A recent browser version is required to view the format of this page, so if it looks strange to you, then download one and try viewing it again.) This page is best viewed with: